"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = __importDefault(require("./index"));
test("default", () => {
    const firFilter = new index_1.default([1, 0, 0, -1]);
    expect(firFilter.filter([1])).toStrictEqual([-1]);
    expect(firFilter.filter([2, 3])).toStrictEqual([-2, -3]);
    expect(firFilter.filter([4])).toStrictEqual([-3]);
});
test("reset", () => {
    const firFilter = new index_1.default([1, 0, 0, -1]);
    expect(firFilter.filter([1, 2, 3])).toStrictEqual([-1, -2, -3]);
    firFilter.reset();
    expect(firFilter.filter([4])).toStrictEqual([-4]);
});
//# sourceMappingURL=test.js.map